%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}
Name:                shrinkwrap
Version:             1.2.3
Release:             1
Summary:             A simple mechanism to assemble Java archives
License:             ASL 2.0
Url:                 http://arquillian.org/modules/shrinkwrap-shrinkwrap/
Source0:             https://github.com/shrinkwrap/shrinkwrap/archive/%{namedversion}.tar.gz
BuildRequires:       maven-local mvn(jdepend:jdepend) mvn(junit:junit)
BuildRequires:       mvn(org.jboss:jboss-parent:pom:) mvn(org.jboss.apiviz:apiviz)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:       mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildArch:           noarch
%description
Shrinkwrap provides a simple mechanism to assemble archives
like JARs, WARs, and EARs with a friendly, fluent API.

%package api-nio2
Summary:             ShrinkWrap NIO.2 API
%description api-nio2
ShrinkWrap NIO.2 API.

%package bom
Summary:             ShrinkWrap Bill of Materials
%description bom
Centralized dependencyManagement for the ShrinkWrap Project.

%package build-resources
Summary:             Shrinkwrap Build Resources
%description build-resources
Shrinkwrap Build Resources.

%package depchain
Summary:             ShrinkWrap Dependency Chain
%description depchain
Single-POM Definition to export the
ShrinkWrap artifacts in proper scope.

%package depchain-java7
Summary:             ShrinkWrap Dependency Chain for Java7 Environments
%description depchain-java7
Single-POM Definition to export the
ShrinkWrap artifacts in proper scope
for Java 7 Environments.

%package impl-base
Summary:             ShrinkWrap Implementation Base
License:             ASL 2.0 and Public Domain
%description impl-base
Common Base for Implementations of the ShrinkWrap Project.

%package impl-nio2
Summary:             ShrinkWrap NIO.2 Implementation
%description impl-nio2
ShrinkWrap NIO.2 Implementation.

%package parent
Summary:             ShrinkWrap Aggregator and Build Parent
%description parent
ShrinkWrap Aggregator POM.

%package spi
Summary:             ShrinkWrap SPI
%description spi
Generic Service Provider Contract of the ShrinkWrap Project.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%pom_disable_module dist
%pom_xpath_remove "pom:requireProperty"
%pom_xpath_remove "pom:configuration/pom:argLine"
%pom_xpath_remove "pom:configuration/pom:jvm" api
%pom_xpath_remove "pom:configuration/pom:jvm" impl-base
%pom_xpath_remove "pom:profiles" impl-base
%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_plugin -r org.eclipse.m2e:lifecycle-mapping
sed -i.orig 's|\r||g' LICENSE
touch -r LICENSE.orig LICENSE
rm LICENSE.orig
%mvn_package :%{name}-api::tests: %{name}-api
%mvn_package :%{name}-impl-base::tests: %{name}-impl-base

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}-api
%license LICENSE

%files api-nio2 -f .mfiles-%{name}-api-nio2

%files impl-base -f .mfiles-%{name}-impl-base

%files impl-nio2 -f .mfiles-%{name}-impl-nio2

%files spi -f .mfiles-%{name}-spi

%files bom -f .mfiles-%{name}-bom
%license LICENSE

%files build-resources -f .mfiles-%{name}-build-resources
%license LICENSE

%files depchain -f .mfiles-%{name}-depchain
%license LICENSE

%files depchain-java7 -f .mfiles-%{name}-depchain-java7
%license LICENSE

%files parent -f .mfiles-%{name}-parent
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 1.2.3-1
- Package init
